org.apache.commons.imaging.formats.tiff.photometricinterpreters

## Class PhotometricInterpreterRgb

- java.lang.Object
- - org.apache.commons.imaging.formats.tiff.photometricinterpreters.PhotometricInterpreter
  - - org.apache.commons.imaging.formats.tiff.photometricinterpreters.PhotometricInterpreterRgb

-     public class PhotometricInterpreterRgb
      extends PhotometricInterpreter

- - ### Field Summary

    - ### Fields inherited from class org.apache.commons.imaging.formats.tiff.photometricinterpreters.PhotometricInterpreter

      `height, predictor, samplesPerPixel, width`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PhotometricInterpreterRgb(int samplesPerPixel, int[] bitsPerSample, int predictor, int width, int height)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `interpretPixel(ImageBuilder imageBuilder, int[] samples, int x, int y)`

    - ### Methods inherited from class org.apache.commons.imaging.formats.tiff.photometricinterpreters.PhotometricInterpreter

      `getBitsPerSample`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PhotometricInterpreterRgb

          public PhotometricInterpreterRgb(int samplesPerPixel,
                                           int[] bitsPerSample,
                                           int predictor,
                                           int width,
                                           int height)

  - ### Method Detail

    - #### interpretPixel

          public void interpretPixel(ImageBuilder imageBuilder,
                                     int[] samples,
                                     int x,
                                     int y)
                              throws ImageReadException,
                                     IOException

      Specified by:
        `interpretPixel` in class `PhotometricInterpreter`
      Throws:
        `ImageReadException`
        `IOException`

Copyright © 2007–2020 The Apache Software Foundation. All rights reserved.